"""Minecraft items."""

from enum import Enum


__all__ = ['Item']


PREFIX = 'minecraft:'


class Item(str, Enum):
    """Minecraft items."""

    ACACIA_BARK = f'{PREFIX}acacia_bark'
    ACACIA_BOAT = f'{PREFIX}acacia_boat'
    ACACIA_BUTTON = f'{PREFIX}acacia_button'
    ACACIA_DOOR = f'{PREFIX}acacia_door'
    ACACIA_FENCE = f'{PREFIX}acacia_fence'
    ACACIA_FENCE_GATE = f'{PREFIX}acacia_fence_gate'
    ACACIA_LEAVES = f'{PREFIX}acacia_leaves'
    ACACIA_LOG = f'{PREFIX}acacia_log'
    ACACIA_PLANKS = f'{PREFIX}acacia_planks'
    ACACIA_PRESSURE_PLATE = f'{PREFIX}acacia_pressure_plate'
    ACACIA_SAPLING = f'{PREFIX}acacia_sapling'
    ACACIA_SIGN = f'{PREFIX}acacia_sign'
    ACACIA_SLAB = f'{PREFIX}acacia_slab'
    ACACIA_STAIRS = f'{PREFIX}acacia_stairs'
    ACACIA_TRAPDOOR = f'{PREFIX}acacia_trapdoor'
    ACACIA_WALL_SIGN = f'{PREFIX}acacia_wall_sign'
    ACACIA_WOOD = f'{PREFIX}acacia_wood'
    ACTIVATOR_RAIL = f'{PREFIX}activator_rail'
    AIR = f'{PREFIX}air'
    ALLIUM = f'{PREFIX}allium'
    ANCIENT_DEBRIS = f'{PREFIX}ancient_debris'
    ANDESITE = f'{PREFIX}andesite'
    ANDESITE_SLAB = f'{PREFIX}andesite_slab'
    ANDESITE_STAIRS = f'{PREFIX}andesite_stairs'
    ANDESITE_WALL = f'{PREFIX}andesite_wall'
    ANVIL = f'{PREFIX}anvil'
    APPLE = f'{PREFIX}apple'
    ARMOR_STAND = f'{PREFIX}armor_stand'
    ARROW = f'{PREFIX}arrow'
    ATTACHED_MELON_STEM = f'{PREFIX}attached_melon_stem'
    ATTACHED_PUMPKIN_STEM = f'{PREFIX}attached_pumpkin_stem'
    AZURE_BLUET = f'{PREFIX}azure_bluet'
    BAKED_POTATO = f'{PREFIX}baked_potato'
    BAMBOO = f'{PREFIX}bamboo'
    BAMBOO_SAPLING = f'{PREFIX}bamboo_sapling'
    BANNER = f'{PREFIX}banner'
    BARREL = f'{PREFIX}barrel'
    BARRIER = f'{PREFIX}barrier'
    BASALT = f'{PREFIX}basalt'
    BAT_SPAWN_EGG = f'{PREFIX}bat_spawn_egg'
    BEACON = f'{PREFIX}beacon'
    BED = f'{PREFIX}bed'
    BEDROCK = f'{PREFIX}bedrock'
    BEEF = f'{PREFIX}beef'
    BEEHIVE = f'{PREFIX}beehive'
    BEETROOT = f'{PREFIX}beetroot'
    BEETROOTS = f'{PREFIX}beetroots'
    BEETROOT_SEEDS = f'{PREFIX}beetroot_seeds'
    BEETROOT_SOUP = f'{PREFIX}beetroot_soup'
    BEE_NEST = f'{PREFIX}bee_nest'
    BEE_SPAWN_EGG = f'{PREFIX}bee_spawn_egg'
    BELL = f'{PREFIX}bell'
    BIRCH_BARK = f'{PREFIX}birch_bark'
    BIRCH_BOAT = f'{PREFIX}birch_boat'
    BIRCH_BUTTON = f'{PREFIX}birch_button'
    BIRCH_DOOR = f'{PREFIX}birch_door'
    BIRCH_FENCE = f'{PREFIX}birch_fence'
    BIRCH_FENCE_GATE = f'{PREFIX}birch_fence_gate'
    BIRCH_LEAVES = f'{PREFIX}birch_leaves'
    BIRCH_LOG = f'{PREFIX}birch_log'
    BIRCH_PLANKS = f'{PREFIX}birch_planks'
    BIRCH_PRESSURE_PLATE = f'{PREFIX}birch_pressure_plate'
    BIRCH_SAPLING = f'{PREFIX}birch_sapling'
    BIRCH_SIGN = f'{PREFIX}birch_sign'
    BIRCH_SLAB = f'{PREFIX}birch_slab'
    BIRCH_STAIRS = f'{PREFIX}birch_stairs'
    BIRCH_TRAPDOOR = f'{PREFIX}birch_trapdoor'
    BIRCH_WALL_SIGN = f'{PREFIX}birch_wall_sign'
    BIRCH_WOOD = f'{PREFIX}birch_wood'
    BLACKSTONE = f'{PREFIX}blackstone'
    BLACKSTONE_SLAB = f'{PREFIX}blackstone_slab'
    BLACKSTONE_STAIRS = f'{PREFIX}blackstone_stairs'
    BLACKSTONE_WALL = f'{PREFIX}blackstone_wall'
    BLACK_BANNER = f'{PREFIX}black_banner'
    BLACK_BED = f'{PREFIX}black_bed'
    BLACK_CARPET = f'{PREFIX}black_carpet'
    BLACK_CONCRETE = f'{PREFIX}black_concrete'
    BLACK_CONCRETE_POWDER = f'{PREFIX}black_concrete_powder'
    BLACK_DYE = f'{PREFIX}black_dye'
    BLACK_GLAZED_TERRACOTTA = f'{PREFIX}black_glazed_terracotta'
    BLACK_SHULKER_BOX = f'{PREFIX}black_shulker_box'
    BLACK_STAINED_GLASS = f'{PREFIX}black_stained_glass'
    BLACK_STAINED_GLASS_PANE = f'{PREFIX}black_stained_glass_pane'
    BLACK_TERRACOTTA = f'{PREFIX}black_terracotta'
    BLACK_WALL_BANNER = f'{PREFIX}black_wall_banner'
    BLACK_WOOL = f'{PREFIX}black_wool'
    BLAST_FURNACE = f'{PREFIX}blast_furnace'
    BLAZE_POWDER = f'{PREFIX}blaze_powder'
    BLAZE_ROD = f'{PREFIX}blaze_rod'
    BLAZE_SPAWN_EGG = f'{PREFIX}blaze_spawn_egg'
    BLUE_BANNER = f'{PREFIX}blue_banner'
    BLUE_BED = f'{PREFIX}blue_bed'
    BLUE_CARPET = f'{PREFIX}blue_carpet'
    BLUE_CONCRETE = f'{PREFIX}blue_concrete'
    BLUE_CONCRETE_POWDER = f'{PREFIX}blue_concrete_powder'
    BLUE_DYE = f'{PREFIX}blue_dye'
    BLUE_GLAZED_TERRACOTTA = f'{PREFIX}blue_glazed_terracotta'
    BLUE_ICE = f'{PREFIX}blue_ice'
    BLUE_ORCHID = f'{PREFIX}blue_orchid'
    BLUE_SHULKER_BOX = f'{PREFIX}blue_shulker_box'
    BLUE_STAINED_GLASS = f'{PREFIX}blue_stained_glass'
    BLUE_STAINED_GLASS_PANE = f'{PREFIX}blue_stained_glass_pane'
    BLUE_TERRACOTTA = f'{PREFIX}blue_terracotta'
    BLUE_WALL_BANNER = f'{PREFIX}blue_wall_banner'
    BLUE_WOOL = f'{PREFIX}blue_wool'
    BOAT = f'{PREFIX}boat'
    BONE = f'{PREFIX}bone'
    BONE_BLOCK = f'{PREFIX}bone_block'
    BONE_MEAL = f'{PREFIX}bone_meal'
    BOOK = f'{PREFIX}book'
    BOOKSHELF = f'{PREFIX}bookshelf'
    BOW = f'{PREFIX}bow'
    BOWL = f'{PREFIX}bowl'
    BRAIN_CORAL = f'{PREFIX}brain_coral'
    BRAIN_CORAL_BLOCK = f'{PREFIX}brain_coral_block'
    BRAIN_CORAL_FAN = f'{PREFIX}brain_coral_fan'
    BRAIN_CORAL_WALL_FAN = f'{PREFIX}brain_coral_wall_fan'
    BREAD = f'{PREFIX}bread'
    BREWING_STAND = f'{PREFIX}brewing_stand'
    BRICK = f'{PREFIX}brick'
    BRICKS = f'{PREFIX}bricks'
    BRICK_BLOCK = f'{PREFIX}brick_block'
    BRICK_SLAB = f'{PREFIX}brick_slab'
    BRICK_STAIRS = f'{PREFIX}brick_stairs'
    BRICK_WALL = f'{PREFIX}brick_wall'
    BROWN_BANNER = f'{PREFIX}brown_banner'
    BROWN_BED = f'{PREFIX}brown_bed'
    BROWN_CARPET = f'{PREFIX}brown_carpet'
    BROWN_CONCRETE = f'{PREFIX}brown_concrete'
    BROWN_CONCRETE_POWDER = f'{PREFIX}brown_concrete_powder'
    BROWN_DYE = f'{PREFIX}brown_dye'
    BROWN_GLAZED_TERRACOTTA = f'{PREFIX}brown_glazed_terracotta'
    BROWN_MUSHROOM = f'{PREFIX}brown_mushroom'
    BROWN_MUSHROOM_BLOCK = f'{PREFIX}brown_mushroom_block'
    BROWN_SHULKER_BOX = f'{PREFIX}brown_shulker_box'
    BROWN_STAINED_GLASS = f'{PREFIX}brown_stained_glass'
    BROWN_STAINED_GLASS_PANE = f'{PREFIX}brown_stained_glass_pane'
    BROWN_TERRACOTTA = f'{PREFIX}brown_terracotta'
    BROWN_WALL_BANNER = f'{PREFIX}brown_wall_banner'
    BROWN_WOOL = f'{PREFIX}brown_wool'
    BUBBLE_COLUMN = f'{PREFIX}bubble_column'
    BUBBLE_CORAL = f'{PREFIX}bubble_coral'
    BUBBLE_CORAL_BLOCK = f'{PREFIX}bubble_coral_block'
    BUBBLE_CORAL_FAN = f'{PREFIX}bubble_coral_fan'
    BUBBLE_CORAL_WALL_FAN = f'{PREFIX}bubble_coral_wall_fan'
    BUCKET = f'{PREFIX}bucket'
    CACTUS = f'{PREFIX}cactus'
    CACTUS_GREEN = f'{PREFIX}cactus_green'
    CAKE = f'{PREFIX}cake'
    CAMPFIRE = f'{PREFIX}campfire'
    CARPET = f'{PREFIX}carpet'
    CARROT = f'{PREFIX}carrot'
    CARROTS = f'{PREFIX}carrots'
    CARROT_ON_A_STICK = f'{PREFIX}carrot_on_a_stick'
    CARTOGRAPHY_TABLE = f'{PREFIX}cartography_table'
    CARVED_PUMPKIN = f'{PREFIX}carved_pumpkin'
    CAT_SPAWN_EGG = f'{PREFIX}cat_spawn_egg'
    CAULDRON = f'{PREFIX}cauldron'
    CAVE_AIR = f'{PREFIX}cave_air'
    CAVE_SPIDER_SPAWN_EGG = f'{PREFIX}cave_spider_spawn_egg'
    CHAIN = f'{PREFIX}chain'
    CHAINMAIL_BOOTS = f'{PREFIX}chainmail_boots'
    CHAINMAIL_CHESTPLATE = f'{PREFIX}chainmail_chestplate'
    CHAINMAIL_HELMET = f'{PREFIX}chainmail_helmet'
    CHAINMAIL_LEGGINGS = f'{PREFIX}chainmail_leggings'
    CHAIN_COMMAND_BLOCK = f'{PREFIX}chain_command_block'
    CHARCOAL = f'{PREFIX}charcoal'
    CHEST = f'{PREFIX}chest'
    CHEST_MINECART = f'{PREFIX}chest_minecart'
    CHICKEN = f'{PREFIX}chicken'
    CHICKEN_SPAWN_EGG = f'{PREFIX}chicken_spawn_egg'
    CHIPPED_ANVIL = f'{PREFIX}chipped_anvil'
    CHISELED_NETHER_BRICKS = f'{PREFIX}chiseled_nether_bricks'
    CHISELED_POLISHED_BLACKSTONE = f'{PREFIX}chiseled_polished_blackstone'
    CHISELED_QUARTZ_BLOCK = f'{PREFIX}chiseled_quartz_block'
    CHISELED_RED_SANDSTONE = f'{PREFIX}chiseled_red_sandstone'
    CHISELED_SANDSTONE = f'{PREFIX}chiseled_sandstone'
    CHISELED_STONE_BRICKS = f'{PREFIX}chiseled_stone_bricks'
    CHORUS_FLOWER = f'{PREFIX}chorus_flower'
    CHORUS_FRUIT = f'{PREFIX}chorus_fruit'
    CHORUS_FRUIT_POPPED = f'{PREFIX}chorus_fruit_popped'
    CHORUS_PLANT = f'{PREFIX}chorus_plant'
    CLAY = f'{PREFIX}clay'
    CLAY_BALL = f'{PREFIX}clay_ball'
    CLOCK = f'{PREFIX}clock'
    CLOWNFISH_BUCKET = f'{PREFIX}clownfish_bucket'
    COAL = f'{PREFIX}coal'
    COAL_BLOCK = f'{PREFIX}coal_block'
    COAL_ORE = f'{PREFIX}coal_ore'
    COARSE_DIRT = f'{PREFIX}coarse_dirt'
    COBBLESTONE = f'{PREFIX}cobblestone'
    COBBLESTONE_SLAB = f'{PREFIX}cobblestone_slab'
    COBBLESTONE_STAIRS = f'{PREFIX}cobblestone_stairs'
    COBBLESTONE_WALL = f'{PREFIX}cobblestone_wall'
    COBWEB = f'{PREFIX}cobweb'
    COCOA = f'{PREFIX}cocoa'
    COCOA_BEANS = f'{PREFIX}cocoa_beans'
    COD = f'{PREFIX}cod'
    COD_BUCKET = f'{PREFIX}cod_bucket'
    COD_SPAWN_EGG = f'{PREFIX}cod_spawn_egg'
    COMMAND_BLOCK = f'{PREFIX}command_block'
    COMMAND_BLOCK_MINECART = f'{PREFIX}command_block_minecart'
    COMPARATOR = f'{PREFIX}comparator'
    COMPASS = f'{PREFIX}compass'
    COMPOSTER = f'{PREFIX}composter'
    CONCRETE = f'{PREFIX}concrete'
    CONCRETE_POWDER = f'{PREFIX}concrete_powder'
    CONDUIT = f'{PREFIX}conduit'
    COOKED_BEEF = f'{PREFIX}cooked_beef'
    COOKED_CHICKEN = f'{PREFIX}cooked_chicken'
    COOKED_COD = f'{PREFIX}cooked_cod'
    COOKED_FISH = f'{PREFIX}cooked_fish'
    COOKED_MUTTON = f'{PREFIX}cooked_mutton'
    COOKED_PORKCHOP = f'{PREFIX}cooked_porkchop'
    COOKED_RABBIT = f'{PREFIX}cooked_rabbit'
    COOKED_SALMON = f'{PREFIX}cooked_salmon'
    COOKIE = f'{PREFIX}cookie'
    CORNFLOWER = f'{PREFIX}cornflower'
    COW_SPAWN_EGG = f'{PREFIX}cow_spawn_egg'
    CRACKED_NETHER_BRICKS = f'{PREFIX}cracked_nether_bricks'
    CRACKED_POLISHED_BLACKSTONE_BRICKS = (
        f'{PREFIX}cracked_polished_blackstone_bricks'
    )
    CRACKED_STONE_BRICKS = f'{PREFIX}cracked_stone_bricks'
    CRAFTING_TABLE = f'{PREFIX}crafting_table'
    CREEPER_BANNER_PATTERN = f'{PREFIX}creeper_banner_pattern'
    CREEPER_HEAD = f'{PREFIX}creeper_head'
    CREEPER_SPAWN_EGG = f'{PREFIX}creeper_spawn_egg'
    CREEPER_WALL_HEAD = f'{PREFIX}creeper_wall_head'
    CRIMSON_BUTTON = f'{PREFIX}crimson_button'
    CRIMSON_DOOR = f'{PREFIX}crimson_door'
    CRIMSON_FENCE = f'{PREFIX}crimson_fence'
    CRIMSON_FENCE_GATE = f'{PREFIX}crimson_fence_gate'
    CRIMSON_FUNGUS = f'{PREFIX}crimson_fungus'
    CRIMSON_HYPHAE = f'{PREFIX}crimson_hyphae'
    CRIMSON_NYLIUM = f'{PREFIX}crimson_nylium'
    CRIMSON_PLANKS = f'{PREFIX}crimson_planks'
    CRIMSON_PRESSURE_PLATE = f'{PREFIX}crimson_pressure_plate'
    CRIMSON_ROOTS = f'{PREFIX}crimson_roots'
    CRIMSON_SIGN = f'{PREFIX}crimson_sign'
    CRIMSON_SLAB = f'{PREFIX}crimson_slab'
    CRIMSON_STAIRS = f'{PREFIX}crimson_stairs'
    CRIMSON_STEM = f'{PREFIX}crimson_stem'
    CRIMSON_TRAPDOOR = f'{PREFIX}crimson_trapdoor'
    CRIMSON_WALL_SIGN = f'{PREFIX}crimson_wall_sign'
    CROSSBOW = f'{PREFIX}crossbow'
    CRYING_OBSIDIAN = f'{PREFIX}crying_obsidian'
    CUT_RED_SANDSTONE = f'{PREFIX}cut_red_sandstone'
    CUT_RED_SANDSTONE_SLAB = f'{PREFIX}cut_red_sandstone_slab'
    CUT_SANDSTONE = f'{PREFIX}cut_sandstone'
    CUT_SANDSTONE_SLAB = f'{PREFIX}cut_sandstone_slab'
    CYAN_BANNER = f'{PREFIX}cyan_banner'
    CYAN_BED = f'{PREFIX}cyan_bed'
    CYAN_CARPET = f'{PREFIX}cyan_carpet'
    CYAN_CONCRETE = f'{PREFIX}cyan_concrete'
    CYAN_CONCRETE_POWDER = f'{PREFIX}cyan_concrete_powder'
    CYAN_DYE = f'{PREFIX}cyan_dye'
    CYAN_GLAZED_TERRACOTTA = f'{PREFIX}cyan_glazed_terracotta'
    CYAN_SHULKER_BOX = f'{PREFIX}cyan_shulker_box'
    CYAN_STAINED_GLASS = f'{PREFIX}cyan_stained_glass'
    CYAN_STAINED_GLASS_PANE = f'{PREFIX}cyan_stained_glass_pane'
    CYAN_TERRACOTTA = f'{PREFIX}cyan_terracotta'
    CYAN_WALL_BANNER = f'{PREFIX}cyan_wall_banner'
    CYAN_WOOL = f'{PREFIX}cyan_wool'
    DAMAGED_ANVIL = f'{PREFIX}damaged_anvil'
    DANDELION = f'{PREFIX}dandelion'
    DANDELION_YELLOW = f'{PREFIX}dandelion_yellow'
    DARK_OAK_BARK = f'{PREFIX}dark_oak_bark'
    DARK_OAK_BOAT = f'{PREFIX}dark_oak_boat'
    DARK_OAK_BUTTON = f'{PREFIX}dark_oak_button'
    DARK_OAK_DOOR = f'{PREFIX}dark_oak_door'
    DARK_OAK_FENCE = f'{PREFIX}dark_oak_fence'
    DARK_OAK_FENCE_GATE = f'{PREFIX}dark_oak_fence_gate'
    DARK_OAK_LEAVES = f'{PREFIX}dark_oak_leaves'
    DARK_OAK_LOG = f'{PREFIX}dark_oak_log'
    DARK_OAK_PLANKS = f'{PREFIX}dark_oak_planks'
    DARK_OAK_PRESSURE_PLATE = f'{PREFIX}dark_oak_pressure_plate'
    DARK_OAK_SAPLING = f'{PREFIX}dark_oak_sapling'
    DARK_OAK_SIGN = f'{PREFIX}dark_oak_sign'
    DARK_OAK_SLAB = f'{PREFIX}dark_oak_slab'
    DARK_OAK_STAIRS = f'{PREFIX}dark_oak_stairs'
    DARK_OAK_TRAPDOOR = f'{PREFIX}dark_oak_trapdoor'
    DARK_OAK_WALL_SIGN = f'{PREFIX}dark_oak_wall_sign'
    DARK_OAK_WOOD = f'{PREFIX}dark_oak_wood'
    DARK_PRISMARINE = f'{PREFIX}dark_prismarine'
    DARK_PRISMARINE_SLAB = f'{PREFIX}dark_prismarine_slab'
    DARK_PRISMARINE_STAIRS = f'{PREFIX}dark_prismarine_stairs'
    DAYLIGHT_DETECTOR = f'{PREFIX}daylight_detector'
    DEADBUSH = f'{PREFIX}deadbush'
    DEAD_BRAIN_CORAL = f'{PREFIX}dead_brain_coral'
    DEAD_BRAIN_CORAL_BLOCK = f'{PREFIX}dead_brain_coral_block'
    DEAD_BRAIN_CORAL_FAN = f'{PREFIX}dead_brain_coral_fan'
    DEAD_BRAIN_CORAL_WALL_FAN = f'{PREFIX}dead_brain_coral_wall_fan'
    DEAD_BUBBLE_CORAL = f'{PREFIX}dead_bubble_coral'
    DEAD_BUBBLE_CORAL_BLOCK = f'{PREFIX}dead_bubble_coral_block'
    DEAD_BUBBLE_CORAL_FAN = f'{PREFIX}dead_bubble_coral_fan'
    DEAD_BUBBLE_CORAL_WALL_FAN = f'{PREFIX}dead_bubble_coral_wall_fan'
    DEAD_BUSH = f'{PREFIX}dead_bush'
    DEAD_FIRE_CORAL = f'{PREFIX}dead_fire_coral'
    DEAD_FIRE_CORAL_BLOCK = f'{PREFIX}dead_fire_coral_block'
    DEAD_FIRE_CORAL_FAN = f'{PREFIX}dead_fire_coral_fan'
    DEAD_FIRE_CORAL_WALL_FAN = f'{PREFIX}dead_fire_coral_wall_fan'
    DEAD_HORN_CORAL = f'{PREFIX}dead_horn_coral'
    DEAD_HORN_CORAL_BLOCK = f'{PREFIX}dead_horn_coral_block'
    DEAD_HORN_CORAL_FAN = f'{PREFIX}dead_horn_coral_fan'
    DEAD_HORN_CORAL_WALL_FAN = f'{PREFIX}dead_horn_coral_wall_fan'
    DEAD_TUBE_CORAL = f'{PREFIX}dead_tube_coral'
    DEAD_TUBE_CORAL_BLOCK = f'{PREFIX}dead_tube_coral_block'
    DEAD_TUBE_CORAL_FAN = f'{PREFIX}dead_tube_coral_fan'
    DEAD_TUBE_CORAL_WALL_FAN = f'{PREFIX}dead_tube_coral_wall_fan'
    DEBUG_STICK = f'{PREFIX}debug_stick'
    DETECTOR_RAIL = f'{PREFIX}detector_rail'
    DIAMOND = f'{PREFIX}diamond'
    DIAMOND_AXE = f'{PREFIX}diamond_axe'
    DIAMOND_BLOCK = f'{PREFIX}diamond_block'
    DIAMOND_BOOTS = f'{PREFIX}diamond_boots'
    DIAMOND_CHESTPLATE = f'{PREFIX}diamond_chestplate'
    DIAMOND_HELMET = f'{PREFIX}diamond_helmet'
    DIAMOND_HOE = f'{PREFIX}diamond_hoe'
    DIAMOND_HORSE_ARMOR = f'{PREFIX}diamond_horse_armor'
    DIAMOND_LEGGINGS = f'{PREFIX}diamond_leggings'
    DIAMOND_ORE = f'{PREFIX}diamond_ore'
    DIAMOND_PICKAXE = f'{PREFIX}diamond_pickaxe'
    DIAMOND_SHOVEL = f'{PREFIX}diamond_shovel'
    DIAMOND_SWORD = f'{PREFIX}diamond_sword'
    DIORITE = f'{PREFIX}diorite'
    DIORITE_SLAB = f'{PREFIX}diorite_slab'
    DIORITE_STAIRS = f'{PREFIX}diorite_stairs'
    DIORITE_WALL = f'{PREFIX}diorite_wall'
    DIRT = f'{PREFIX}dirt'
    DISPENSER = f'{PREFIX}dispenser'
    DOLPHIN_SPAWN_EGG = f'{PREFIX}dolphin_spawn_egg'
    DONKEY_SPAWN_EGG = f'{PREFIX}donkey_spawn_egg'
    DOUBLE_PLANT = f'{PREFIX}double_plant'
    DOUBLE_STONE_SLAB = f'{PREFIX}double_stone_slab'
    DRAGON_BREATH = f'{PREFIX}dragon_breath'
    DRAGON_EGG = f'{PREFIX}dragon_egg'
    DRAGON_HEAD = f'{PREFIX}dragon_head'
    DRAGON_WALL_HEAD = f'{PREFIX}dragon_wall_head'
    DRIED_KELP = f'{PREFIX}dried_kelp'
    DRIED_KELP_BLOCK = f'{PREFIX}dried_kelp_block'
    DROPPER = f'{PREFIX}dropper'
    DROWNED_SPAWN_EGG = f'{PREFIX}drowned_spawn_egg'
    DYE = f'{PREFIX}dye'
    EGG = f'{PREFIX}egg'
    ELDER_GUARDIAN_SPAWN_EGG = f'{PREFIX}elder_guardian_spawn_egg'
    ELYTRA = f'{PREFIX}elytra'
    EMERALD = f'{PREFIX}emerald'
    EMERALD_BLOCK = f'{PREFIX}emerald_block'
    EMERALD_ORE = f'{PREFIX}emerald_ore'
    ENCHANTED_BOOK = f'{PREFIX}enchanted_book'
    ENCHANTED_GOLDEN_APPLE = f'{PREFIX}enchanted_golden_apple'
    ENCHANTING_TABLE = f'{PREFIX}enchanting_table'
    ENDERMAN_SPAWN_EGG = f'{PREFIX}enderman_spawn_egg'
    ENDERMITE_SPAWN_EGG = f'{PREFIX}endermite_spawn_egg'
    ENDER_CHEST = f'{PREFIX}ender_chest'
    ENDER_EYE = f'{PREFIX}ender_eye'
    ENDER_PEARL = f'{PREFIX}ender_pearl'
    END_BRICKS = f'{PREFIX}end_bricks'
    END_CRYSTAL = f'{PREFIX}end_crystal'
    END_GATEWAY = f'{PREFIX}end_gateway'
    END_PORTAL = f'{PREFIX}end_portal'
    END_PORTAL_FRAME = f'{PREFIX}end_portal_frame'
    END_ROD = f'{PREFIX}end_rod'
    END_STONE = f'{PREFIX}end_stone'
    END_STONE_BRICKS = f'{PREFIX}end_stone_bricks'
    END_STONE_BRICK_SLAB = f'{PREFIX}end_stone_brick_slab'
    END_STONE_BRICK_STAIRS = f'{PREFIX}end_stone_brick_stairs'
    END_STONE_BRICK_WALL = f'{PREFIX}end_stone_brick_wall'
    EVOKER_SPAWN_EGG = f'{PREFIX}evoker_spawn_egg'
    EXPERIENCE_BOTTLE = f'{PREFIX}experience_bottle'
    FARMLAND = f'{PREFIX}farmland'
    FEATHER = f'{PREFIX}feather'
    FENCE = f'{PREFIX}fence'
    FENCE_GATE = f'{PREFIX}fence_gate'
    FERMENTED_SPIDER_EYE = f'{PREFIX}fermented_spider_eye'
    FERN = f'{PREFIX}fern'
    FILLED_MAP = f'{PREFIX}filled_map'
    FIRE = f'{PREFIX}fire'
    FIREWORKS = f'{PREFIX}fireworks'
    FIREWORK_CHARGE = f'{PREFIX}firework_charge'
    FIREWORK_ROCKET = f'{PREFIX}firework_rocket'
    FIREWORK_STAR = f'{PREFIX}firework_star'
    FIRE_CHARGE = f'{PREFIX}fire_charge'
    FIRE_CORAL = f'{PREFIX}fire_coral'
    FIRE_CORAL_BLOCK = f'{PREFIX}fire_coral_block'
    FIRE_CORAL_FAN = f'{PREFIX}fire_coral_fan'
    FIRE_CORAL_WALL_FAN = f'{PREFIX}fire_coral_wall_fan'
    FISH = f'{PREFIX}fish'
    FISHING_ROD = f'{PREFIX}fishing_rod'
    FLETCHING_TABLE = f'{PREFIX}fletching_table'
    FLINT = f'{PREFIX}flint'
    FLINT_AND_STEEL = f'{PREFIX}flint_and_steel'
    FLOWER_BANNER_PATTERN = f'{PREFIX}flower_banner_pattern'
    FLOWER_POT = f'{PREFIX}flower_pot'
    FOX_SPAWN_EGG = f'{PREFIX}fox_spawn_egg'
    FROSTED_ICE = f'{PREFIX}frosted_ice'
    FURNACE = f'{PREFIX}furnace'
    FURNACE_MINECART = f'{PREFIX}furnace_minecart'
    GHAST_SPAWN_EGG = f'{PREFIX}ghast_spawn_egg'
    GHAST_TEAR = f'{PREFIX}ghast_tear'
    GILDED_BLACKSTONE = f'{PREFIX}gilded_blackstone'
    GLASS = f'{PREFIX}glass'
    GLASS_BOTTLE = f'{PREFIX}glass_bottle'
    GLASS_PANE = f'{PREFIX}glass_pane'
    GLISTERING_MELON_SLICE = f'{PREFIX}glistering_melon_slice'
    GLOBE_BANNER_PATTERN = f'{PREFIX}globe_banner_pattern'
    GLOWSTONE = f'{PREFIX}glowstone'
    GLOWSTONE_DUST = f'{PREFIX}glowstone_dust'
    GOLDEN_APPLE = f'{PREFIX}golden_apple'
    GOLDEN_AXE = f'{PREFIX}golden_axe'
    GOLDEN_BOOTS = f'{PREFIX}golden_boots'
    GOLDEN_CARROT = f'{PREFIX}golden_carrot'
    GOLDEN_CHESTPLATE = f'{PREFIX}golden_chestplate'
    GOLDEN_HELMET = f'{PREFIX}golden_helmet'
    GOLDEN_HOE = f'{PREFIX}golden_hoe'
    GOLDEN_HORSE_ARMOR = f'{PREFIX}golden_horse_armor'
    GOLDEN_LEGGINGS = f'{PREFIX}golden_leggings'
    GOLDEN_PICKAXE = f'{PREFIX}golden_pickaxe'
    GOLDEN_RAIL = f'{PREFIX}golden_rail'
    GOLDEN_SHOVEL = f'{PREFIX}golden_shovel'
    GOLDEN_SWORD = f'{PREFIX}golden_sword'
    GOLD_BLOCK = f'{PREFIX}gold_block'
    GOLD_INGOT = f'{PREFIX}gold_ingot'
    GOLD_NUGGET = f'{PREFIX}gold_nugget'
    GOLD_ORE = f'{PREFIX}gold_ore'
    GRANITE = f'{PREFIX}granite'
    GRANITE_SLAB = f'{PREFIX}granite_slab'
    GRANITE_STAIRS = f'{PREFIX}granite_stairs'
    GRANITE_WALL = f'{PREFIX}granite_wall'
    GRASS = f'{PREFIX}grass'
    GRASS_BLOCK = f'{PREFIX}grass_block'
    GRASS_PATH = f'{PREFIX}grass_path'
    GRAVEL = f'{PREFIX}gravel'
    GRAY_BANNER = f'{PREFIX}gray_banner'
    GRAY_BED = f'{PREFIX}gray_bed'
    GRAY_CARPET = f'{PREFIX}gray_carpet'
    GRAY_CONCRETE = f'{PREFIX}gray_concrete'
    GRAY_CONCRETE_POWDER = f'{PREFIX}gray_concrete_powder'
    GRAY_DYE = f'{PREFIX}gray_dye'
    GRAY_GLAZED_TERRACOTTA = f'{PREFIX}gray_glazed_terracotta'
    GRAY_SHULKER_BOX = f'{PREFIX}gray_shulker_box'
    GRAY_STAINED_GLASS = f'{PREFIX}gray_stained_glass'
    GRAY_STAINED_GLASS_PANE = f'{PREFIX}gray_stained_glass_pane'
    GRAY_TERRACOTTA = f'{PREFIX}gray_terracotta'
    GRAY_WALL_BANNER = f'{PREFIX}gray_wall_banner'
    GRAY_WOOL = f'{PREFIX}gray_wool'
    GREEN_BANNER = f'{PREFIX}green_banner'
    GREEN_BED = f'{PREFIX}green_bed'
    GREEN_CARPET = f'{PREFIX}green_carpet'
    GREEN_CONCRETE = f'{PREFIX}green_concrete'
    GREEN_CONCRETE_POWDER = f'{PREFIX}green_concrete_powder'
    GREEN_DYE = f'{PREFIX}green_dye'
    GREEN_GLAZED_TERRACOTTA = f'{PREFIX}green_glazed_terracotta'
    GREEN_SHULKER_BOX = f'{PREFIX}green_shulker_box'
    GREEN_STAINED_GLASS = f'{PREFIX}green_stained_glass'
    GREEN_STAINED_GLASS_PANE = f'{PREFIX}green_stained_glass_pane'
    GREEN_TERRACOTTA = f'{PREFIX}green_terracotta'
    GREEN_WALL_BANNER = f'{PREFIX}green_wall_banner'
    GREEN_WOOL = f'{PREFIX}green_wool'
    GRINDSTONE = f'{PREFIX}grindstone'
    GUARDIAN_SPAWN_EGG = f'{PREFIX}guardian_spawn_egg'
    GUNPOWDER = f'{PREFIX}gunpowder'
    HARDENED_CLAY = f'{PREFIX}hardened_clay'
    HAY_BALE = f'{PREFIX}hay_bale'
    HAY_BLOCK = f'{PREFIX}hay_block'
    HEART_OF_THE_SEA = f'{PREFIX}heart_of_the_sea'
    HEAVY_WEIGHTED_PRESSURE_PLATE = f'{PREFIX}heavy_weighted_pressure_plate'
    HOGLIN_SPAWN_EGG = f'{PREFIX}hoglin_spawn_egg'
    HONEYCOMB = f'{PREFIX}honeycomb'
    HONEYCOMB_BLOCK = f'{PREFIX}honeycomb_block'
    HONEY_BLOCK = f'{PREFIX}honey_block'
    HONEY_BOTTLE = f'{PREFIX}honey_bottle'
    HOPPER = f'{PREFIX}hopper'
    HOPPER_MINECART = f'{PREFIX}hopper_minecart'
    HORN_CORAL = f'{PREFIX}horn_coral'
    HORN_CORAL_BLOCK = f'{PREFIX}horn_coral_block'
    HORN_CORAL_FAN = f'{PREFIX}horn_coral_fan'
    HORN_CORAL_WALL_FAN = f'{PREFIX}horn_coral_wall_fan'
    HORSE_SPAWN_EGG = f'{PREFIX}horse_spawn_egg'
    HUSK_SPAWN_EGG = f'{PREFIX}husk_spawn_egg'
    ICE = f'{PREFIX}ice'
    INFESTED_CHISELED_STONE_BRICKS = f'{PREFIX}infested_chiseled_stone_bricks'
    INFESTED_COBBLESTONE = f'{PREFIX}infested_cobblestone'
    INFESTED_CRACKED_STONE_BRICKS = f'{PREFIX}infested_cracked_stone_bricks'
    INFESTED_MOSSY_STONE_BRICKS = f'{PREFIX}infested_mossy_stone_bricks'
    INFESTED_STONE = f'{PREFIX}infested_stone'
    INFESTED_STONE_BRICKS = f'{PREFIX}infested_stone_bricks'
    INK_SAC = f'{PREFIX}ink_sac'
    IRON_AXE = f'{PREFIX}iron_axe'
    IRON_BARS = f'{PREFIX}iron_bars'
    IRON_BLOCK = f'{PREFIX}iron_block'
    IRON_BOOTS = f'{PREFIX}iron_boots'
    IRON_CHESTPLATE = f'{PREFIX}iron_chestplate'
    IRON_DOOR = f'{PREFIX}iron_door'
    IRON_HELMET = f'{PREFIX}iron_helmet'
    IRON_HOE = f'{PREFIX}iron_hoe'
    IRON_HORSE_ARMOR = f'{PREFIX}iron_horse_armor'
    IRON_INGOT = f'{PREFIX}iron_ingot'
    IRON_LEGGINGS = f'{PREFIX}iron_leggings'
    IRON_NUGGET = f'{PREFIX}iron_nugget'
    IRON_ORE = f'{PREFIX}iron_ore'
    IRON_PICKAXE = f'{PREFIX}iron_pickaxe'
    IRON_SHOVEL = f'{PREFIX}iron_shovel'
    IRON_SWORD = f'{PREFIX}iron_sword'
    IRON_TRAPDOOR = f'{PREFIX}iron_trapdoor'
    ITEM_FRAME = f'{PREFIX}item_frame'
    JACK_O_LANTERN = f'{PREFIX}jack_o_lantern'
    JIGSAW = f'{PREFIX}jigsaw'
    JUKEBOX = f'{PREFIX}jukebox'
    JUNGLE_BARK = f'{PREFIX}jungle_bark'
    JUNGLE_BOAT = f'{PREFIX}jungle_boat'
    JUNGLE_BUTTON = f'{PREFIX}jungle_button'
    JUNGLE_DOOR = f'{PREFIX}jungle_door'
    JUNGLE_FENCE = f'{PREFIX}jungle_fence'
    JUNGLE_FENCE_GATE = f'{PREFIX}jungle_fence_gate'
    JUNGLE_LEAVES = f'{PREFIX}jungle_leaves'
    JUNGLE_LOG = f'{PREFIX}jungle_log'
    JUNGLE_PLANKS = f'{PREFIX}jungle_planks'
    JUNGLE_PRESSURE_PLATE = f'{PREFIX}jungle_pressure_plate'
    JUNGLE_SAPLING = f'{PREFIX}jungle_sapling'
    JUNGLE_SIGN = f'{PREFIX}jungle_sign'
    JUNGLE_SLAB = f'{PREFIX}jungle_slab'
    JUNGLE_STAIRS = f'{PREFIX}jungle_stairs'
    JUNGLE_TRAPDOOR = f'{PREFIX}jungle_trapdoor'
    JUNGLE_WALL_SIGN = f'{PREFIX}jungle_wall_sign'
    JUNGLE_WOOD = f'{PREFIX}jungle_wood'
    KELP = f'{PREFIX}kelp'
    KELP_PLANT = f'{PREFIX}kelp_plant'
    KNOWLEDGE_BOOK = f'{PREFIX}knowledge_book'
    LADDER = f'{PREFIX}ladder'
    LANTERN = f'{PREFIX}lantern'
    LAPIS_BLOCK = f'{PREFIX}lapis_block'
    LAPIS_LAZULI = f'{PREFIX}lapis_lazuli'
    LAPIS_ORE = f'{PREFIX}lapis_ore'
    LARGE_FERN = f'{PREFIX}large_fern'
    LAVA = f'{PREFIX}lava'
    LAVA_BUCKET = f'{PREFIX}lava_bucket'
    LEAD = f'{PREFIX}lead'
    LEATHER = f'{PREFIX}leather'
    LEATHER_BOOTS = f'{PREFIX}leather_boots'
    LEATHER_CHESTPLATE = f'{PREFIX}leather_chestplate'
    LEATHER_HELMET = f'{PREFIX}leather_helmet'
    LEATHER_HORSE_ARMOR = f'{PREFIX}leather_horse_armor'
    LEATHER_LEGGINGS = f'{PREFIX}leather_leggings'
    LEAVES = f'{PREFIX}leaves'
    LEAVES2 = f'{PREFIX}leaves2'
    LECTERN = f'{PREFIX}lectern'
    LEVER = f'{PREFIX}lever'
    LIGHT_BLUE_BANNER = f'{PREFIX}light_blue_banner'
    LIGHT_BLUE_BED = f'{PREFIX}light_blue_bed'
    LIGHT_BLUE_CARPET = f'{PREFIX}light_blue_carpet'
    LIGHT_BLUE_CONCRETE = f'{PREFIX}light_blue_concrete'
    LIGHT_BLUE_CONCRETE_POWDER = f'{PREFIX}light_blue_concrete_powder'
    LIGHT_BLUE_DYE = f'{PREFIX}light_blue_dye'
    LIGHT_BLUE_GLAZED_TERRACOTTA = f'{PREFIX}light_blue_glazed_terracotta'
    LIGHT_BLUE_SHULKER_BOX = f'{PREFIX}light_blue_shulker_box'
    LIGHT_BLUE_STAINED_GLASS = f'{PREFIX}light_blue_stained_glass'
    LIGHT_BLUE_STAINED_GLASS_PANE = f'{PREFIX}light_blue_stained_glass_pane'
    LIGHT_BLUE_TERRACOTTA = f'{PREFIX}light_blue_terracotta'
    LIGHT_BLUE_WALL_BANNER = f'{PREFIX}light_blue_wall_banner'
    LIGHT_BLUE_WOOL = f'{PREFIX}light_blue_wool'
    LIGHT_GRAY_BANNER = f'{PREFIX}light_gray_banner'
    LIGHT_GRAY_BED = f'{PREFIX}light_gray_bed'
    LIGHT_GRAY_CARPET = f'{PREFIX}light_gray_carpet'
    LIGHT_GRAY_CONCRETE = f'{PREFIX}light_gray_concrete'
    LIGHT_GRAY_CONCRETE_POWDER = f'{PREFIX}light_gray_concrete_powder'
    LIGHT_GRAY_DYE = f'{PREFIX}light_gray_dye'
    LIGHT_GRAY_GLAZED_TERRACOTTA = f'{PREFIX}light_gray_glazed_terracotta'
    LIGHT_GRAY_SHULKER_BOX = f'{PREFIX}light_gray_shulker_box'
    LIGHT_GRAY_STAINED_GLASS = f'{PREFIX}light_gray_stained_glass'
    LIGHT_GRAY_STAINED_GLASS_PANE = f'{PREFIX}light_gray_stained_glass_pane'
    LIGHT_GRAY_TERRACOTTA = f'{PREFIX}light_gray_terracotta'
    LIGHT_GRAY_WALL_BANNER = f'{PREFIX}light_gray_wall_banner'
    LIGHT_GRAY_WOOL = f'{PREFIX}light_gray_wool'
    LIGHT_WEIGHTED_PRESSURE_PLATE = f'{PREFIX}light_weighted_pressure_plate'
    LILAC = f'{PREFIX}lilac'
    LILY_OF_THE_VALLEY = f'{PREFIX}lily_of_the_valley'
    LILY_PAD = f'{PREFIX}lily_pad'
    LIME_BANNER = f'{PREFIX}lime_banner'
    LIME_BED = f'{PREFIX}lime_bed'
    LIME_CARPET = f'{PREFIX}lime_carpet'
    LIME_CONCRETE = f'{PREFIX}lime_concrete'
    LIME_CONCRETE_POWDER = f'{PREFIX}lime_concrete_powder'
    LIME_DYE = f'{PREFIX}lime_dye'
    LIME_GLAZED_TERRACOTTA = f'{PREFIX}lime_glazed_terracotta'
    LIME_SHULKER_BOX = f'{PREFIX}lime_shulker_box'
    LIME_STAINED_GLASS = f'{PREFIX}lime_stained_glass'
    LIME_STAINED_GLASS_PANE = f'{PREFIX}lime_stained_glass_pane'
    LIME_TERRACOTTA = f'{PREFIX}lime_terracotta'
    LIME_WALL_BANNER = f'{PREFIX}lime_wall_banner'
    LIME_WOOL = f'{PREFIX}lime_wool'
    LINGERING_POTION = f'{PREFIX}lingering_potion'
    LIT_PUMPKIN = f'{PREFIX}lit_pumpkin'
    LIT_REDSTONE_TORCH = f'{PREFIX}lit_redstone_torch'
    LLAMA_SPAWN_EGG = f'{PREFIX}llama_spawn_egg'
    LODESTONE = f'{PREFIX}lodestone'
    LOG = f'{PREFIX}log'
    LOG2 = f'{PREFIX}log2'
    LOOM = f'{PREFIX}loom'
    MAGENTA_BANNER = f'{PREFIX}magenta_banner'
    MAGENTA_BED = f'{PREFIX}magenta_bed'
    MAGENTA_CARPET = f'{PREFIX}magenta_carpet'
    MAGENTA_CONCRETE = f'{PREFIX}magenta_concrete'
    MAGENTA_CONCRETE_POWDER = f'{PREFIX}magenta_concrete_powder'
    MAGENTA_DYE = f'{PREFIX}magenta_dye'
    MAGENTA_GLAZED_TERRACOTTA = f'{PREFIX}magenta_glazed_terracotta'
    MAGENTA_SHULKER_BOX = f'{PREFIX}magenta_shulker_box'
    MAGENTA_STAINED_GLASS = f'{PREFIX}magenta_stained_glass'
    MAGENTA_STAINED_GLASS_PANE = f'{PREFIX}magenta_stained_glass_pane'
    MAGENTA_TERRACOTTA = f'{PREFIX}magenta_terracotta'
    MAGENTA_WALL_BANNER = f'{PREFIX}magenta_wall_banner'
    MAGENTA_WOOL = f'{PREFIX}magenta_wool'
    MAGMA = f'{PREFIX}magma'
    MAGMA_BLOCK = f'{PREFIX}magma_block'
    MAGMA_CREAM = f'{PREFIX}magma_cream'
    MAGMA_CUBE_SPAWN_EGG = f'{PREFIX}magma_cube_spawn_egg'
    MAP = f'{PREFIX}map'
    MELON = f'{PREFIX}melon'
    MELON_BLOCK = f'{PREFIX}melon_block'
    MELON_SEEDS = f'{PREFIX}melon_seeds'
    MELON_SLICE = f'{PREFIX}melon_slice'
    MELON_STEM = f'{PREFIX}melon_stem'
    MILK_BUCKET = f'{PREFIX}milk_bucket'
    MINECART = f'{PREFIX}minecart'
    MOB_SPAWNER = f'{PREFIX}mob_spawner'
    MOJANG_BANNER_PATTERN = f'{PREFIX}mojang_banner_pattern'
    MONSTER_EGG = f'{PREFIX}monster_egg'
    MOOSHROOM_SPAWN_EGG = f'{PREFIX}mooshroom_spawn_egg'
    MOSSY_COBBLESTONE = f'{PREFIX}mossy_cobblestone'
    MOSSY_COBBLESTONE_SLAB = f'{PREFIX}mossy_cobblestone_slab'
    MOSSY_COBBLESTONE_STAIRS = f'{PREFIX}mossy_cobblestone_stairs'
    MOSSY_COBBLESTONE_WALL = f'{PREFIX}mossy_cobblestone_wall'
    MOSSY_STONE_BRICKS = f'{PREFIX}mossy_stone_bricks'
    MOSSY_STONE_BRICK_SLAB = f'{PREFIX}mossy_stone_brick_slab'
    MOSSY_STONE_BRICK_STAIRS = f'{PREFIX}mossy_stone_brick_stairs'
    MOSSY_STONE_BRICK_WALL = f'{PREFIX}mossy_stone_brick_wall'
    MOVING_PISTON = f'{PREFIX}moving_piston'
    MULE_SPAWN_EGG = f'{PREFIX}mule_spawn_egg'
    MUSHROOM_STEM = f'{PREFIX}mushroom_stem'
    MUSHROOM_STEW = f'{PREFIX}mushroom_stew'
    MUSIC_DISC_11 = f'{PREFIX}music_disc_11'
    MUSIC_DISC_13 = f'{PREFIX}music_disc_13'
    MUSIC_DISC_BLOCKS = f'{PREFIX}music_disc_blocks'
    MUSIC_DISC_CAT = f'{PREFIX}music_disc_cat'
    MUSIC_DISC_CHIRP = f'{PREFIX}music_disc_chirp'
    MUSIC_DISC_FAR = f'{PREFIX}music_disc_far'
    MUSIC_DISC_MALL = f'{PREFIX}music_disc_mall'
    MUSIC_DISC_MELLOHI = f'{PREFIX}music_disc_mellohi'
    MUSIC_DISC_PIGSTEP = f'{PREFIX}music_disc_pigstep'
    MUSIC_DISC_STAL = f'{PREFIX}music_disc_stal'
    MUSIC_DISC_STRAD = f'{PREFIX}music_disc_strad'
    MUSIC_DISC_WAIT = f'{PREFIX}music_disc_wait'
    MUSIC_DISC_WARD = f'{PREFIX}music_disc_ward'
    MUTTON = f'{PREFIX}mutton'
    MYCELIUM = f'{PREFIX}mycelium'
    NAME_TAG = f'{PREFIX}name_tag'
    NAUTILUS_SHELL = f'{PREFIX}nautilus_shell'
    NETHERBRICK = f'{PREFIX}netherbrick'
    NETHERITE_AXE = f'{PREFIX}netherite_axe'
    NETHERITE_BLOCK = f'{PREFIX}netherite_block'
    NETHERITE_BOOTS = f'{PREFIX}netherite_boots'
    NETHERITE_CHESTPLATE = f'{PREFIX}netherite_chestplate'
    NETHERITE_HELMET = f'{PREFIX}netherite_helmet'
    NETHERITE_HOE = f'{PREFIX}netherite_hoe'
    NETHERITE_INGOT = f'{PREFIX}netherite_ingot'
    NETHERITE_LEGGINGS = f'{PREFIX}netherite_leggings'
    NETHERITE_PICKAXE = f'{PREFIX}netherite_pickaxe'
    NETHERITE_SCRAP = f'{PREFIX}netherite_scrap'
    NETHERITE_SHOVEL = f'{PREFIX}netherite_shovel'
    NETHERITE_SWORD = f'{PREFIX}netherite_sword'
    NETHERRACK = f'{PREFIX}netherrack'
    NETHER_BRICK = f'{PREFIX}nether_brick'
    NETHER_BRICKS = f'{PREFIX}nether_bricks'
    NETHER_BRICK_FENCE = f'{PREFIX}nether_brick_fence'
    NETHER_BRICK_SLAB = f'{PREFIX}nether_brick_slab'
    NETHER_BRICK_STAIRS = f'{PREFIX}nether_brick_stairs'
    NETHER_BRICK_WALL = f'{PREFIX}nether_brick_wall'
    NETHER_GOLD_ORE = f'{PREFIX}nether_gold_ore'
    NETHER_PORTAL = f'{PREFIX}nether_portal'
    NETHER_QUARTZ_ORE = f'{PREFIX}nether_quartz_ore'
    NETHER_SPROUTS = f'{PREFIX}nether_sprouts'
    NETHER_STAR = f'{PREFIX}nether_star'
    NETHER_WART = f'{PREFIX}nether_wart'
    NETHER_WART_BLOCK = f'{PREFIX}nether_wart_block'
    NOTEBLOCK = f'{PREFIX}noteblock'
    NOTE_BLOCK = f'{PREFIX}note_block'
    OAK_BARK = f'{PREFIX}oak_bark'
    OAK_BOAT = f'{PREFIX}oak_boat'
    OAK_BUTTON = f'{PREFIX}oak_button'
    OAK_DOOR = f'{PREFIX}oak_door'
    OAK_FENCE = f'{PREFIX}oak_fence'
    OAK_FENCE_GATE = f'{PREFIX}oak_fence_gate'
    OAK_LEAVES = f'{PREFIX}oak_leaves'
    OAK_LOG = f'{PREFIX}oak_log'
    OAK_PLANKS = f'{PREFIX}oak_planks'
    OAK_PRESSURE_PLATE = f'{PREFIX}oak_pressure_plate'
    OAK_SAPLING = f'{PREFIX}oak_sapling'
    OAK_SIGN = f'{PREFIX}oak_sign'
    OAK_SLAB = f'{PREFIX}oak_slab'
    OAK_STAIRS = f'{PREFIX}oak_stairs'
    OAK_TRAPDOOR = f'{PREFIX}oak_trapdoor'
    OAK_WALL_SIGN = f'{PREFIX}oak_wall_sign'
    OAK_WOOD = f'{PREFIX}oak_wood'
    OBSERVER = f'{PREFIX}observer'
    OBSIDIAN = f'{PREFIX}obsidian'
    OCELOT_SPAWN_EGG = f'{PREFIX}ocelot_spawn_egg'
    ORANGE_BANNER = f'{PREFIX}orange_banner'
    ORANGE_BED = f'{PREFIX}orange_bed'
    ORANGE_CARPET = f'{PREFIX}orange_carpet'
    ORANGE_CONCRETE = f'{PREFIX}orange_concrete'
    ORANGE_CONCRETE_POWDER = f'{PREFIX}orange_concrete_powder'
    ORANGE_DYE = f'{PREFIX}orange_dye'
    ORANGE_GLAZED_TERRACOTTA = f'{PREFIX}orange_glazed_terracotta'
    ORANGE_SHULKER_BOX = f'{PREFIX}orange_shulker_box'
    ORANGE_STAINED_GLASS = f'{PREFIX}orange_stained_glass'
    ORANGE_STAINED_GLASS_PANE = f'{PREFIX}orange_stained_glass_pane'
    ORANGE_TERRACOTTA = f'{PREFIX}orange_terracotta'
    ORANGE_TULIP = f'{PREFIX}orange_tulip'
    ORANGE_WALL_BANNER = f'{PREFIX}orange_wall_banner'
    ORANGE_WOOL = f'{PREFIX}orange_wool'
    OXEYE_DAISY = f'{PREFIX}oxeye_daisy'
    PACKED_ICE = f'{PREFIX}packed_ice'
    PAINTING = f'{PREFIX}painting'
    PANDA_SPAWN_EGG = f'{PREFIX}panda_spawn_egg'
    PAPER = f'{PREFIX}paper'
    PARROT_SPAWN_EGG = f'{PREFIX}parrot_spawn_egg'
    PEONY = f'{PREFIX}peony'
    PETRIFIED_OAK_SLAB = f'{PREFIX}petrified_oak_slab'
    PHANTOM_MEMBRANE = f'{PREFIX}phantom_membrane'
    PHANTOM_SPAWN_EGG = f'{PREFIX}phantom_spawn_egg'
    PIGLIN_BANNER_PATTERN = f'{PREFIX}piglin_banner_pattern'
    PIGLIN_SPAWN_EGG = f'{PREFIX}piglin_spawn_egg'
    PIG_SPAWN_EGG = f'{PREFIX}pig_spawn_egg'
    PILLAGER_SPAWN_EGG = f'{PREFIX}pillager_spawn_egg'
    PINK_BANNER = f'{PREFIX}pink_banner'
    PINK_BED = f'{PREFIX}pink_bed'
    PINK_CARPET = f'{PREFIX}pink_carpet'
    PINK_CONCRETE = f'{PREFIX}pink_concrete'
    PINK_CONCRETE_POWDER = f'{PREFIX}pink_concrete_powder'
    PINK_DYE = f'{PREFIX}pink_dye'
    PINK_GLAZED_TERRACOTTA = f'{PREFIX}pink_glazed_terracotta'
    PINK_SHULKER_BOX = f'{PREFIX}pink_shulker_box'
    PINK_STAINED_GLASS = f'{PREFIX}pink_stained_glass'
    PINK_STAINED_GLASS_PANE = f'{PREFIX}pink_stained_glass_pane'
    PINK_TERRACOTTA = f'{PREFIX}pink_terracotta'
    PINK_TULIP = f'{PREFIX}pink_tulip'
    PINK_WALL_BANNER = f'{PREFIX}pink_wall_banner'
    PINK_WOOL = f'{PREFIX}pink_wool'
    PISTON = f'{PREFIX}piston'
    PISTON_HEAD = f'{PREFIX}piston_head'
    PLANKS = f'{PREFIX}planks'
    PLAYER_HEAD = f'{PREFIX}player_head'
    PLAYER_WALL_HEAD = f'{PREFIX}player_wall_head'
    PODZOL = f'{PREFIX}podzol'
    POISONOUS_POTATO = f'{PREFIX}poisonous_potato'
    POLAR_BEAR_SPAWN_EGG = f'{PREFIX}polar_bear_spawn_egg'
    POLISHED_ANDESITE = f'{PREFIX}polished_andesite'
    POLISHED_ANDESITE_SLAB = f'{PREFIX}polished_andesite_slab'
    POLISHED_ANDESITE_STAIRS = f'{PREFIX}polished_andesite_stairs'
    POLISHED_BASALT = f'{PREFIX}polished_basalt'
    POLISHED_BLACKSTONE = f'{PREFIX}polished_blackstone'
    POLISHED_BLACKSTONE_BRICKS = f'{PREFIX}polished_blackstone_bricks'
    POLISHED_BLACKSTONE_BRICK_SLAB = f'{PREFIX}polished_blackstone_brick_slab'
    POLISHED_BLACKSTONE_BRICK_STAIRS = (
        f'{PREFIX}polished_blackstone_brick_stairs'
    )
    POLISHED_BLACKSTONE_BRICK_WALL = f'{PREFIX}polished_blackstone_brick_wall'
    POLISHED_BLACKSTONE_BUTTON = f'{PREFIX}polished_blackstone_button'
    POLISHED_BLACKSTONE_PRESSURE_PLATE = (
        f'{PREFIX}polished_blackstone_pressure_plate'
    )
    POLISHED_BLACKSTONE_SLAB = f'{PREFIX}polished_blackstone_slab'
    POLISHED_BLACKSTONE_STAIRS = f'{PREFIX}polished_blackstone_stairs'
    POLISHED_BLACKSTONE_WALL = f'{PREFIX}polished_blackstone_wall'
    POLISHED_DIORITE = f'{PREFIX}polished_diorite'
    POLISHED_DIORITE_SLAB = f'{PREFIX}polished_diorite_slab'
    POLISHED_DIORITE_STAIRS = f'{PREFIX}polished_diorite_stairs'
    POLISHED_GRANITE = f'{PREFIX}polished_granite'
    POLISHED_GRANITE_SLAB = f'{PREFIX}polished_granite_slab'
    POLISHED_GRANITE_STAIRS = f'{PREFIX}polished_granite_stairs'
    POPPED_CHORUS_FRUIT = f'{PREFIX}popped_chorus_fruit'
    POPPY = f'{PREFIX}poppy'
    PORKCHOP = f'{PREFIX}porkchop'
    PORTAL = f'{PREFIX}portal'
    POTATO = f'{PREFIX}potato'
    POTATOES = f'{PREFIX}potatoes'
    POTION = f'{PREFIX}potion'
    POTTED_ACACIA_SAPLING = f'{PREFIX}potted_acacia_sapling'
    POTTED_ALLIUM = f'{PREFIX}potted_allium'
    POTTED_AZURE_BLUET = f'{PREFIX}potted_azure_bluet'
    POTTED_BAMBOO = f'{PREFIX}potted_bamboo'
    POTTED_BIRCH_SAPLING = f'{PREFIX}potted_birch_sapling'
    POTTED_BLUE_ORCHID = f'{PREFIX}potted_blue_orchid'
    POTTED_BROWN_MUSHROOM = f'{PREFIX}potted_brown_mushroom'
    POTTED_CACTUS = f'{PREFIX}potted_cactus'
    POTTED_CORNFLOWER = f'{PREFIX}potted_cornflower'
    POTTED_CRIMSON_FUNGUS = f'{PREFIX}potted_crimson_fungus'
    POTTED_CRIMSON_ROOTS = f'{PREFIX}potted_crimson_roots'
    POTTED_DANDELION = f'{PREFIX}potted_dandelion'
    POTTED_DARK_OAK_SAPLING = f'{PREFIX}potted_dark_oak_sapling'
    POTTED_DEAD_BUSH = f'{PREFIX}potted_dead_bush'
    POTTED_FERN = f'{PREFIX}potted_fern'
    POTTED_JUNGLE_SAPLING = f'{PREFIX}potted_jungle_sapling'
    POTTED_LILY_OF_THE_VALLEY = f'{PREFIX}potted_lily_of_the_valley'
    POTTED_OAK_SAPLING = f'{PREFIX}potted_oak_sapling'
    POTTED_ORANGE_TULIP = f'{PREFIX}potted_orange_tulip'
    POTTED_OXEYE_DAISY = f'{PREFIX}potted_oxeye_daisy'
    POTTED_PINK_TULIP = f'{PREFIX}potted_pink_tulip'
    POTTED_POPPY = f'{PREFIX}potted_poppy'
    POTTED_RED_MUSHROOM = f'{PREFIX}potted_red_mushroom'
    POTTED_RED_TULIP = f'{PREFIX}potted_red_tulip'
    POTTED_SPRUCE_SAPLING = f'{PREFIX}potted_spruce_sapling'
    POTTED_WARPED_FUNGUS = f'{PREFIX}potted_warped_fungus'
    POTTED_WARPED_ROOTS = f'{PREFIX}potted_warped_roots'
    POTTED_WHITE_TULIP = f'{PREFIX}potted_white_tulip'
    POTTED_WITHER_ROSE = f'{PREFIX}potted_wither_rose'
    POWERED_RAIL = f'{PREFIX}powered_rail'
    PRISMARINE = f'{PREFIX}prismarine'
    PRISMARINE_BRICKS = f'{PREFIX}prismarine_bricks'
    PRISMARINE_BRICK_SLAB = f'{PREFIX}prismarine_brick_slab'
    PRISMARINE_BRICK_STAIRS = f'{PREFIX}prismarine_brick_stairs'
    PRISMARINE_CRYSTALS = f'{PREFIX}prismarine_crystals'
    PRISMARINE_SHARD = f'{PREFIX}prismarine_shard'
    PRISMARINE_SLAB = f'{PREFIX}prismarine_slab'
    PRISMARINE_STAIRS = f'{PREFIX}prismarine_stairs'
    PRISMARINE_WALL = f'{PREFIX}prismarine_wall'
    PUFFERFISH = f'{PREFIX}pufferfish'
    PUFFERFISH_BUCKET = f'{PREFIX}pufferfish_bucket'
    PUFFERFISH_SPAWN_EGG = f'{PREFIX}pufferfish_spawn_egg'
    PUMPKIN = f'{PREFIX}pumpkin'
    PUMPKIN_PIE = f'{PREFIX}pumpkin_pie'
    PUMPKIN_SEEDS = f'{PREFIX}pumpkin_seeds'
    PUMPKIN_STEM = f'{PREFIX}pumpkin_stem'
    PURPLE_BANNER = f'{PREFIX}purple_banner'
    PURPLE_BED = f'{PREFIX}purple_bed'
    PURPLE_CARPET = f'{PREFIX}purple_carpet'
    PURPLE_CONCRETE = f'{PREFIX}purple_concrete'
    PURPLE_CONCRETE_POWDER = f'{PREFIX}purple_concrete_powder'
    PURPLE_DYE = f'{PREFIX}purple_dye'
    PURPLE_GLAZED_TERRACOTTA = f'{PREFIX}purple_glazed_terracotta'
    PURPLE_SHULKER_BOX = f'{PREFIX}purple_shulker_box'
    PURPLE_STAINED_GLASS = f'{PREFIX}purple_stained_glass'
    PURPLE_STAINED_GLASS_PANE = f'{PREFIX}purple_stained_glass_pane'
    PURPLE_TERRACOTTA = f'{PREFIX}purple_terracotta'
    PURPLE_WALL_BANNER = f'{PREFIX}purple_wall_banner'
    PURPLE_WOOL = f'{PREFIX}purple_wool'
    PURPUR_BLOCK = f'{PREFIX}purpur_block'
    PURPUR_PILLAR = f'{PREFIX}purpur_pillar'
    PURPUR_SLAB = f'{PREFIX}purpur_slab'
    PURPUR_STAIRS = f'{PREFIX}purpur_stairs'
    QUARTZ = f'{PREFIX}quartz'
    QUARTZ_BLOCK = f'{PREFIX}quartz_block'
    QUARTZ_BRICKS = f'{PREFIX}quartz_bricks'
    QUARTZ_ORE = f'{PREFIX}quartz_ore'
    QUARTZ_PILLAR = f'{PREFIX}quartz_pillar'
    QUARTZ_SLAB = f'{PREFIX}quartz_slab'
    QUARTZ_STAIRS = f'{PREFIX}quartz_stairs'
    RABBIT = f'{PREFIX}rabbit'
    RABBIT_FOOT = f'{PREFIX}rabbit_foot'
    RABBIT_HIDE = f'{PREFIX}rabbit_hide'
    RABBIT_SPAWN_EGG = f'{PREFIX}rabbit_spawn_egg'
    RABBIT_STEW = f'{PREFIX}rabbit_stew'
    RAIL = f'{PREFIX}rail'
    RAVAGER_SPAWN_EGG = f'{PREFIX}ravager_spawn_egg'
    RECORD_11 = f'{PREFIX}record_11'
    RECORD_13 = f'{PREFIX}record_13'
    RECORD_BLOCKS = f'{PREFIX}record_blocks'
    RECORD_CAT = f'{PREFIX}record_cat'
    RECORD_CHIRP = f'{PREFIX}record_chirp'
    RECORD_FAR = f'{PREFIX}record_far'
    RECORD_MALL = f'{PREFIX}record_mall'
    RECORD_MELLOHI = f'{PREFIX}record_mellohi'
    RECORD_STAL = f'{PREFIX}record_stal'
    RECORD_STRAD = f'{PREFIX}record_strad'
    RECORD_WAIT = f'{PREFIX}record_wait'
    RECORD_WARD = f'{PREFIX}record_ward'
    REDSTONE = f'{PREFIX}redstone'
    REDSTONE_BLOCK = f'{PREFIX}redstone_block'
    REDSTONE_LAMP = f'{PREFIX}redstone_lamp'
    REDSTONE_ORE = f'{PREFIX}redstone_ore'
    REDSTONE_TORCH = f'{PREFIX}redstone_torch'
    REDSTONE_WALL_TORCH = f'{PREFIX}redstone_wall_torch'
    REDSTONE_WIRE = f'{PREFIX}redstone_wire'
    RED_BANNER = f'{PREFIX}red_banner'
    RED_BED = f'{PREFIX}red_bed'
    RED_CARPET = f'{PREFIX}red_carpet'
    RED_CONCRETE = f'{PREFIX}red_concrete'
    RED_CONCRETE_POWDER = f'{PREFIX}red_concrete_powder'
    RED_DYE = f'{PREFIX}red_dye'
    RED_FLOWER = f'{PREFIX}red_flower'
    RED_GLAZED_TERRACOTTA = f'{PREFIX}red_glazed_terracotta'
    RED_MUSHROOM = f'{PREFIX}red_mushroom'
    RED_MUSHROOM_BLOCK = f'{PREFIX}red_mushroom_block'
    RED_NETHER_BRICK = f'{PREFIX}red_nether_brick'
    RED_NETHER_BRICKS = f'{PREFIX}red_nether_bricks'
    RED_NETHER_BRICK_SLAB = f'{PREFIX}red_nether_brick_slab'
    RED_NETHER_BRICK_STAIRS = f'{PREFIX}red_nether_brick_stairs'
    RED_NETHER_BRICK_WALL = f'{PREFIX}red_nether_brick_wall'
    RED_SAND = f'{PREFIX}red_sand'
    RED_SANDSTONE = f'{PREFIX}red_sandstone'
    RED_SANDSTONE_SLAB = f'{PREFIX}red_sandstone_slab'
    RED_SANDSTONE_STAIRS = f'{PREFIX}red_sandstone_stairs'
    RED_SANDSTONE_WALL = f'{PREFIX}red_sandstone_wall'
    RED_SHULKER_BOX = f'{PREFIX}red_shulker_box'
    RED_STAINED_GLASS = f'{PREFIX}red_stained_glass'
    RED_STAINED_GLASS_PANE = f'{PREFIX}red_stained_glass_pane'
    RED_TERRACOTTA = f'{PREFIX}red_terracotta'
    RED_TULIP = f'{PREFIX}red_tulip'
    RED_WALL_BANNER = f'{PREFIX}red_wall_banner'
    RED_WOOL = f'{PREFIX}red_wool'
    REEDS = f'{PREFIX}reeds'
    REPEATER = f'{PREFIX}repeater'
    REPEATING_COMMAND_BLOCK = f'{PREFIX}repeating_command_block'
    RESPAWN_ANCHOR = f'{PREFIX}respawn_anchor'
    ROSE_BUSH = f'{PREFIX}rose_bush'
    ROSE_RED = f'{PREFIX}rose_red'
    ROTTEN_FLESH = f'{PREFIX}rotten_flesh'
    SADDLE = f'{PREFIX}saddle'
    SALMON = f'{PREFIX}salmon'
    SALMON_BUCKET = f'{PREFIX}salmon_bucket'
    SALMON_SPAWN_EGG = f'{PREFIX}salmon_spawn_egg'
    SAND = f'{PREFIX}sand'
    SANDSTONE = f'{PREFIX}sandstone'
    SANDSTONE_SLAB = f'{PREFIX}sandstone_slab'
    SANDSTONE_STAIRS = f'{PREFIX}sandstone_stairs'
    SANDSTONE_WALL = f'{PREFIX}sandstone_wall'
    SAPLING = f'{PREFIX}sapling'
    SCAFFOLDING = f'{PREFIX}scaffolding'
    SCUTE = f'{PREFIX}scute'
    SEAGRASS = f'{PREFIX}seagrass'
    SEA_LANTERN = f'{PREFIX}sea_lantern'
    SEA_PICKLE = f'{PREFIX}sea_pickle'
    SHEARS = f'{PREFIX}shears'
    SHEEP_SPAWN_EGG = f'{PREFIX}sheep_spawn_egg'
    SHIELD = f'{PREFIX}shield'
    SHROOMLIGHT = f'{PREFIX}shroomlight'
    SHULKER_BOX = f'{PREFIX}shulker_box'
    SHULKER_SHELL = f'{PREFIX}shulker_shell'
    SHULKER_SPAWN_EGG = f'{PREFIX}shulker_spawn_egg'
    SIGN = f'{PREFIX}sign'
    SILVERFISH_SPAWN_EGG = f'{PREFIX}silverfish_spawn_egg'
    SKELETON_HORSE_SPAWN_EGG = f'{PREFIX}skeleton_horse_spawn_egg'
    SKELETON_SKULL = f'{PREFIX}skeleton_skull'
    SKELETON_SPAWN_EGG = f'{PREFIX}skeleton_spawn_egg'
    SKELETON_WALL_SKULL = f'{PREFIX}skeleton_wall_skull'
    SKULL = f'{PREFIX}skull'
    SKULL_BANNER_PATTERN = f'{PREFIX}skull_banner_pattern'
    SLIME = f'{PREFIX}slime'
    SLIME_BALL = f'{PREFIX}slime_ball'
    SLIME_BLOCK = f'{PREFIX}slime_block'
    SLIME_SPAWN_EGG = f'{PREFIX}slime_spawn_egg'
    SMITHING_TABLE = f'{PREFIX}smithing_table'
    SMOKER = f'{PREFIX}smoker'
    SMOOTH_QUARTZ = f'{PREFIX}smooth_quartz'
    SMOOTH_QUARTZ_SLAB = f'{PREFIX}smooth_quartz_slab'
    SMOOTH_QUARTZ_STAIRS = f'{PREFIX}smooth_quartz_stairs'
    SMOOTH_RED_SANDSTONE = f'{PREFIX}smooth_red_sandstone'
    SMOOTH_RED_SANDSTONE_SLAB = f'{PREFIX}smooth_red_sandstone_slab'
    SMOOTH_RED_SANDSTONE_STAIRS = f'{PREFIX}smooth_red_sandstone_stairs'
    SMOOTH_SANDSTONE = f'{PREFIX}smooth_sandstone'
    SMOOTH_SANDSTONE_SLAB = f'{PREFIX}smooth_sandstone_slab'
    SMOOTH_SANDSTONE_STAIRS = f'{PREFIX}smooth_sandstone_stairs'
    SMOOTH_STONE = f'{PREFIX}smooth_stone'
    SMOOTH_STONE_SLAB = f'{PREFIX}smooth_stone_slab'
    SNOW = f'{PREFIX}snow'
    SNOWBALL = f'{PREFIX}snowball'
    SNOW_BLOCK = f'{PREFIX}snow_block'
    SNOW_LAYER = f'{PREFIX}snow_layer'
    SOUL_CAMPFIRE = f'{PREFIX}soul_campfire'
    SOUL_FIRE = f'{PREFIX}soul_fire'
    SOUL_LANTERN = f'{PREFIX}soul_lantern'
    SOUL_SAND = f'{PREFIX}soul_sand'
    SOUL_SOIL = f'{PREFIX}soul_soil'
    SOUL_TORCH = f'{PREFIX}soul_torch'
    SOUL_WALL_TORCH = f'{PREFIX}soul_wall_torch'
    SPAWNER = f'{PREFIX}spawner'
    SPAWN_EGG = f'{PREFIX}spawn_egg'
    SPECKLED_MELON = f'{PREFIX}speckled_melon'
    SPECTRAL_ARROW = f'{PREFIX}spectral_arrow'
    SPIDER_EYE = f'{PREFIX}spider_eye'
    SPIDER_SPAWN_EGG = f'{PREFIX}spider_spawn_egg'
    SPLASH_POTION = f'{PREFIX}splash_potion'
    SPONGE = f'{PREFIX}sponge'
    SPRUCE_BARK = f'{PREFIX}spruce_bark'
    SPRUCE_BOAT = f'{PREFIX}spruce_boat'
    SPRUCE_BUTTON = f'{PREFIX}spruce_button'
    SPRUCE_DOOR = f'{PREFIX}spruce_door'
    SPRUCE_FENCE = f'{PREFIX}spruce_fence'
    SPRUCE_FENCE_GATE = f'{PREFIX}spruce_fence_gate'
    SPRUCE_LEAVES = f'{PREFIX}spruce_leaves'
    SPRUCE_LOG = f'{PREFIX}spruce_log'
    SPRUCE_PLANKS = f'{PREFIX}spruce_planks'
    SPRUCE_PRESSURE_PLATE = f'{PREFIX}spruce_pressure_plate'
    SPRUCE_SAPLING = f'{PREFIX}spruce_sapling'
    SPRUCE_SIGN = f'{PREFIX}spruce_sign'
    SPRUCE_SLAB = f'{PREFIX}spruce_slab'
    SPRUCE_STAIRS = f'{PREFIX}spruce_stairs'
    SPRUCE_TRAPDOOR = f'{PREFIX}spruce_trapdoor'
    SPRUCE_WALL_SIGN = f'{PREFIX}spruce_wall_sign'
    SPRUCE_WOOD = f'{PREFIX}spruce_wood'
    SQUID_SPAWN_EGG = f'{PREFIX}squid_spawn_egg'
    STAINED_GLASS = f'{PREFIX}stained_glass'
    STAINED_GLASS_PANE = f'{PREFIX}stained_glass_pane'
    STAINED_HARDENED_CLAY = f'{PREFIX}stained_hardened_clay'
    STICK = f'{PREFIX}stick'
    STICKY_PISTON = f'{PREFIX}sticky_piston'
    STILL_LAVA = f'{PREFIX}still_lava'
    STILL_WATER = f'{PREFIX}still_water'
    STONE = f'{PREFIX}stone'
    STONEBRICK = f'{PREFIX}stonebrick'
    STONECUTTER = f'{PREFIX}stonecutter'
    STONE_AXE = f'{PREFIX}stone_axe'
    STONE_BRICKS = f'{PREFIX}stone_bricks'
    STONE_BRICK_SLAB = f'{PREFIX}stone_brick_slab'
    STONE_BRICK_STAIRS = f'{PREFIX}stone_brick_stairs'
    STONE_BRICK_WALL = f'{PREFIX}stone_brick_wall'
    STONE_BUTTON = f'{PREFIX}stone_button'
    STONE_HOE = f'{PREFIX}stone_hoe'
    STONE_PICKAXE = f'{PREFIX}stone_pickaxe'
    STONE_PRESSURE_PLATE = f'{PREFIX}stone_pressure_plate'
    STONE_SHOVEL = f'{PREFIX}stone_shovel'
    STONE_SLAB = f'{PREFIX}stone_slab'
    STONE_SLAB2 = f'{PREFIX}stone_slab2'
    STONE_STAIRS = f'{PREFIX}stone_stairs'
    STONE_SWORD = f'{PREFIX}stone_sword'
    STRAY_SPAWN_EGG = f'{PREFIX}stray_spawn_egg'
    STRIDER_SPAWN_EGG = f'{PREFIX}strider_spawn_egg'
    STRING = f'{PREFIX}string'
    STRIPPED_ACACIA_BARK = f'{PREFIX}stripped_acacia_bark'
    STRIPPED_ACACIA_LOG = f'{PREFIX}stripped_acacia_log'
    STRIPPED_ACACIA_WOOD = f'{PREFIX}stripped_acacia_wood'
    STRIPPED_BIRCH_BARK = f'{PREFIX}stripped_birch_bark'
    STRIPPED_BIRCH_LOG = f'{PREFIX}stripped_birch_log'
    STRIPPED_BIRCH_WOOD = f'{PREFIX}stripped_birch_wood'
    STRIPPED_CRIMSON_HYPHAE = f'{PREFIX}stripped_crimson_hyphae'
    STRIPPED_CRIMSON_STEM = f'{PREFIX}stripped_crimson_stem'
    STRIPPED_DARK_OAK_BARK = f'{PREFIX}stripped_dark_oak_bark'
    STRIPPED_DARK_OAK_LOG = f'{PREFIX}stripped_dark_oak_log'
    STRIPPED_DARK_OAK_WOOD = f'{PREFIX}stripped_dark_oak_wood'
    STRIPPED_JUNGLE_BARK = f'{PREFIX}stripped_jungle_bark'
    STRIPPED_JUNGLE_LOG = f'{PREFIX}stripped_jungle_log'
    STRIPPED_JUNGLE_WOOD = f'{PREFIX}stripped_jungle_wood'
    STRIPPED_OAK_BARK = f'{PREFIX}stripped_oak_bark'
    STRIPPED_OAK_LOG = f'{PREFIX}stripped_oak_log'
    STRIPPED_OAK_WOOD = f'{PREFIX}stripped_oak_wood'
    STRIPPED_SPRUCE_BARK = f'{PREFIX}stripped_spruce_bark'
    STRIPPED_SPRUCE_LOG = f'{PREFIX}stripped_spruce_log'
    STRIPPED_SPRUCE_WOOD = f'{PREFIX}stripped_spruce_wood'
    STRIPPED_WARPED_HYPHAE = f'{PREFIX}stripped_warped_hyphae'
    STRIPPED_WARPED_STEM = f'{PREFIX}stripped_warped_stem'
    STRUCTURE_BLOCK = f'{PREFIX}structure_block'
    STRUCTURE_VOID = f'{PREFIX}structure_void'
    SUGAR = f'{PREFIX}sugar'
    SUGAR_CANE = f'{PREFIX}sugar_cane'
    SUNFLOWER = f'{PREFIX}sunflower'
    SUSPICIOUS_STEW = f'{PREFIX}suspicious_stew'
    SWEET_BERRIES = f'{PREFIX}sweet_berries'
    SWEET_BERRY_BUSH = f'{PREFIX}sweet_berry_bush'
    TALLGRASS = f'{PREFIX}tallgrass'
    TALL_GRASS = f'{PREFIX}tall_grass'
    TALL_SEAGRASS = f'{PREFIX}tall_seagrass'
    TARGET = f'{PREFIX}target'
    TERRACOTTA = f'{PREFIX}terracotta'
    TIPPED_ARROW = f'{PREFIX}tipped_arrow'
    TNT = f'{PREFIX}tnt'
    TNT_MINECART = f'{PREFIX}tnt_minecart'
    TORCH = f'{PREFIX}torch'
    TOTEM_OF_UNDYING = f'{PREFIX}totem_of_undying'
    TRADER_LLAMA_SPAWN_EGG = f'{PREFIX}trader_llama_spawn_egg'
    TRAPDOOR = f'{PREFIX}trapdoor'
    TRAPPED_CHEST = f'{PREFIX}trapped_chest'
    TRIDENT = f'{PREFIX}trident'
    TRIPWIRE = f'{PREFIX}tripwire'
    TRIPWIRE_HOOK = f'{PREFIX}tripwire_hook'
    TROPICAL_FISH = f'{PREFIX}tropical_fish'
    TROPICAL_FISH_BUCKET = f'{PREFIX}tropical_fish_bucket'
    TROPICAL_FISH_SPAWN_EGG = f'{PREFIX}tropical_fish_spawn_egg'
    TUBE_CORAL = f'{PREFIX}tube_coral'
    TUBE_CORAL_BLOCK = f'{PREFIX}tube_coral_block'
    TUBE_CORAL_FAN = f'{PREFIX}tube_coral_fan'
    TUBE_CORAL_WALL_FAN = f'{PREFIX}tube_coral_wall_fan'
    TURTLE_EGG = f'{PREFIX}turtle_egg'
    TURTLE_HELMET = f'{PREFIX}turtle_helmet'
    TURTLE_SPAWN_EGG = f'{PREFIX}turtle_spawn_egg'
    TWISTING_VINES = f'{PREFIX}twisting_vines'
    TWISTING_VINES_PLANT = f'{PREFIX}twisting_vines_plant'
    VEX_SPAWN_EGG = f'{PREFIX}vex_spawn_egg'
    VILLAGER_SPAWN_EGG = f'{PREFIX}villager_spawn_egg'
    VINDICATOR_SPAWN_EGG = f'{PREFIX}vindicator_spawn_egg'
    VINE = f'{PREFIX}vine'
    VOID_AIR = f'{PREFIX}void_air'
    WALL_SIGN = f'{PREFIX}wall_sign'
    WALL_TORCH = f'{PREFIX}wall_torch'
    WANDERING_TRADER_SPAWN_EGG = f'{PREFIX}wandering_trader_spawn_egg'
    WARPED_BUTTON = f'{PREFIX}warped_button'
    WARPED_DOOR = f'{PREFIX}warped_door'
    WARPED_FENCE = f'{PREFIX}warped_fence'
    WARPED_FENCE_GATE = f'{PREFIX}warped_fence_gate'
    WARPED_FUNGUS = f'{PREFIX}warped_fungus'
    WARPED_FUNGUS_ON_A_STICK = f'{PREFIX}warped_fungus_on_a_stick'
    WARPED_HYPHAE = f'{PREFIX}warped_hyphae'
    WARPED_NYLIUM = f'{PREFIX}warped_nylium'
    WARPED_PLANKS = f'{PREFIX}warped_planks'
    WARPED_PRESSURE_PLATE = f'{PREFIX}warped_pressure_plate'
    WARPED_ROOTS = f'{PREFIX}warped_roots'
    WARPED_SIGN = f'{PREFIX}warped_sign'
    WARPED_SLAB = f'{PREFIX}warped_slab'
    WARPED_STAIRS = f'{PREFIX}warped_stairs'
    WARPED_STEM = f'{PREFIX}warped_stem'
    WARPED_TRAPDOOR = f'{PREFIX}warped_trapdoor'
    WARPED_WALL_SIGN = f'{PREFIX}warped_wall_sign'
    WARPED_WART_BLOCK = f'{PREFIX}warped_wart_block'
    WATER = f'{PREFIX}water'
    WATERLILY = f'{PREFIX}waterlily'
    WATER_BUCKET = f'{PREFIX}water_bucket'
    WEEPING_VINES = f'{PREFIX}weeping_vines'
    WEEPING_VINES_PLANT = f'{PREFIX}weeping_vines_plant'
    WET_SPONGE = f'{PREFIX}wet_sponge'
    WHEAT = f'{PREFIX}wheat'
    WHEAT_SEEDS = f'{PREFIX}wheat_seeds'
    WHITE_BANNER = f'{PREFIX}white_banner'
    WHITE_BED = f'{PREFIX}white_bed'
    WHITE_CARPET = f'{PREFIX}white_carpet'
    WHITE_CONCRETE = f'{PREFIX}white_concrete'
    WHITE_CONCRETE_POWDER = f'{PREFIX}white_concrete_powder'
    WHITE_DYE = f'{PREFIX}white_dye'
    WHITE_GLAZED_TERRACOTTA = f'{PREFIX}white_glazed_terracotta'
    WHITE_SHULKER_BOX = f'{PREFIX}white_shulker_box'
    WHITE_STAINED_GLASS = f'{PREFIX}white_stained_glass'
    WHITE_STAINED_GLASS_PANE = f'{PREFIX}white_stained_glass_pane'
    WHITE_TERRACOTTA = f'{PREFIX}white_terracotta'
    WHITE_TULIP = f'{PREFIX}white_tulip'
    WHITE_WALL_BANNER = f'{PREFIX}white_wall_banner'
    WHITE_WOOL = f'{PREFIX}white_wool'
    WITCH_SPAWN_EGG = f'{PREFIX}witch_spawn_egg'
    WITHER_ROSE = f'{PREFIX}wither_rose'
    WITHER_SKELETON_SKULL = f'{PREFIX}wither_skeleton_skull'
    WITHER_SKELETON_SPAWN_EGG = f'{PREFIX}wither_skeleton_spawn_egg'
    WITHER_SKELETON_WALL_SKULL = f'{PREFIX}wither_skeleton_wall_skull'
    WOLF_SPAWN_EGG = f'{PREFIX}wolf_spawn_egg'
    WOODEN_AXE = f'{PREFIX}wooden_axe'
    WOODEN_BUTTON = f'{PREFIX}wooden_button'
    WOODEN_DOOR = f'{PREFIX}wooden_door'
    WOODEN_HOE = f'{PREFIX}wooden_hoe'
    WOODEN_PICKAXE = f'{PREFIX}wooden_pickaxe'
    WOODEN_PRESSURE_PLATE = f'{PREFIX}wooden_pressure_plate'
    WOODEN_SHOVEL = f'{PREFIX}wooden_shovel'
    WOODEN_SLAB = f'{PREFIX}wooden_slab'
    WOODEN_SWORD = f'{PREFIX}wooden_sword'
    WOOL = f'{PREFIX}wool'
    WRITABLE_BOOK = f'{PREFIX}writable_book'
    WRITTEN_BOOK = f'{PREFIX}written_book'
    YELLOW_BANNER = f'{PREFIX}yellow_banner'
    YELLOW_BED = f'{PREFIX}yellow_bed'
    YELLOW_CARPET = f'{PREFIX}yellow_carpet'
    YELLOW_CONCRETE = f'{PREFIX}yellow_concrete'
    YELLOW_CONCRETE_POWDER = f'{PREFIX}yellow_concrete_powder'
    YELLOW_DYE = f'{PREFIX}yellow_dye'
    YELLOW_FLOWER = f'{PREFIX}yellow_flower'
    YELLOW_GLAZED_TERRACOTTA = f'{PREFIX}yellow_glazed_terracotta'
    YELLOW_SHULKER_BOX = f'{PREFIX}yellow_shulker_box'
    YELLOW_STAINED_GLASS = f'{PREFIX}yellow_stained_glass'
    YELLOW_STAINED_GLASS_PANE = f'{PREFIX}yellow_stained_glass_pane'
    YELLOW_TERRACOTTA = f'{PREFIX}yellow_terracotta'
    YELLOW_WALL_BANNER = f'{PREFIX}yellow_wall_banner'
    YELLOW_WOOL = f'{PREFIX}yellow_wool'
    ZOGLIN_SPAWN_EGG = f'{PREFIX}zoglin_spawn_egg'
    ZOMBIE_HEAD = f'{PREFIX}zombie_head'
    ZOMBIE_HORSE_SPAWN_EGG = f'{PREFIX}zombie_horse_spawn_egg'
    ZOMBIE_PIGMAN_SPAWN_EGG = f'{PREFIX}zombie_pigman_spawn_egg'
    ZOMBIE_SPAWN_EGG = f'{PREFIX}zombie_spawn_egg'
    ZOMBIE_VILLAGER_SPAWN_EGG = f'{PREFIX}zombie_villager_spawn_egg'
    ZOMBIE_WALL_HEAD = f'{PREFIX}zombie_wall_head'
    ZOMBIFIED_PIGLIN_SPAWN_EGG = f'{PREFIX}zombified_piglin_spawn_egg'

    @classmethod
    def _missing_(cls, value: str):
        """Add missing prefix."""
        if not value.startswith(PREFIX):
            return cls(f'{PREFIX}{value}')

        return super()._missing_(value)

    def __str__(self):
        """Return the string value."""
        return self.value
